Subject: Re: Tips and tricks for Windows, Chinese.

From: GAUTIER <[email-masked]>
Date: Tue, 28 Dec 1993 08:24:11 +0800

On Mon, 27 Dec 1993, DL83-02 wrote:

> I have been asked several times by friends on email and locally, how my
> translation offices manages to work in German, French, etc. inside Chinese
> Windows. Generally, we use two different approaches on our 16 486-machines:
>
> 1) Edit the win.ini file
> Look for the line ANSI(00)=Yes in the segment [Associated...] and change
> it to ANSI(00)=No. Thus no English (i.e. incl. high bit character set)
> will be changed to Chinese characters.
>
> [stuff deleted]

  I am also working in french under Chinese Windows, and I use the "ansi"
trick. To facilitate typing, I change the keyboard design in the Control
Panel to "International" (after I spent some time looking for a
"International" keyboard driver in Windows Setup... do not laugh at me !).
  This way, no need to type the internal code anymore on the numeric pad
(which did sometimes make my 486 HANG :( ), the keys [' ` ^ " ,] allow to
type the french stresses or diacritics on or under letters : for instance,
['] followed by [e] will compose [e acute] etc. (BTW, [c cedilla] is [acute]
[c]).
  This method could also be used on a laptop more easily than the keypad...
One shortcoming of this method is that REAL quote ' has to be followed
by a [space] if there is an [e] beginning the next word (otherwise you
get [l] [e acute] instead [l] [quote (apostrophe)] [e].
  I often just type in using the WRITE chinese applet, and I noticed the
followings :
  - the french letter appears only if I type a [return]  AFTER the
    sequence [diacritic] [letter]. It seems WRITE is waiting, thinking it
    gets a chinese character. I guess that doesn't happen in a 'real' WP,
    because I also have the FRENCH version (probably the same as the english
    one) of WRITE, and this behaviour doesn't appear there. I can also type
    chinese under french WRITE, although I need there TWO BS to delete ONE
    chinese Dble Byte Char.
  - only the fonts not including the access to chinese characters let
    french letter appear on screen. So you need to change fonts
    before typing a sequence of french or chinese inside a text in the
    other language (one can use the little tool displaying fonts whose
    icon is a key to see the difference). I use a matrix printer. Using a
    Truetype font allows to print french chars (Roman f. ex.) otherwise the
    printer fonts which substitute at print time may just ignore them and
    print white spaces instead.

  Last point, it is better (according to Microsoft) also to change
accordingly the DOS and Windows used pagecodes (I use latin 850), although
Windows did not complain when I launched it with US (437 ?) codepage from a
DOS in latin 850. The Windows Setup just noticed the difference the next
time I installed and corrected the Windows codepage following DOS rule...

  I apologise to those who will find that this message deals with too
basic things :
AFTER being told the "ANSI" trick by Microsoft, I still spent some time
looking into that problem (specialy the keyboard one) before being able to
type french in a proper way, so I thought I would post these infos to shorten
the process for others. (probably if I had been more full of courage and
browsed more into my chinese language documentation, I could have done it
quicker...)

  I wonder if there is such a easy way to generate the northern european
letters under ChWin 3.1 (I mean NOT the ALT thing) ?

Gautier Gerard
Wen-Tzao School of Foreign Languages
French Dept. Kaohsiung - Taiwan